ru.bitel.bgbilling.modules.vod.server.bean

## Class VoDServiceActivator

- java.lang.Object
- - ru.bitel.bgbilling.modules.vod.server.bean.VoDServiceActivator

-     public abstract class VoDServiceActivator
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `VoDServiceActivator.ServiceActivationException`
    `static class` | `VoDServiceActivator.ServiceActivationResult`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VoDServiceActivator()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `VoDServiceActivator.ServiceActivationResult` | `createService(Subscriber subscriber)`
    `protected abstract VoDServiceActivator.ServiceActivationResult` | `createServiceImpl(Subscriber subscriber)`
    `VoDServiceActivator.ServiceActivationResult` | `createSubscriber(Subscriber subscriber)`
    `protected abstract VoDServiceActivator.ServiceActivationResult` | `createSubscriberImpl(Subscriber subscriber)`
    `abstract void` | `destroy()`
    `static VoDServiceActivator` | `newInstance(ParameterMap moduleSetup)`
    `VoDServiceActivator.ServiceActivationResult` | `removeService(Subscriber subscriber)`
    `protected abstract VoDServiceActivator.ServiceActivationResult` | `removeServiceImpl(Subscriber subscriber)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VoDServiceActivator

          public VoDServiceActivator()

  - ### Method Detail

    - #### createSubscriber

          public VoDServiceActivator.ServiceActivationResult createSubscriber(Subscriber subscriber)

    - #### createService

          public VoDServiceActivator.ServiceActivationResult createService(Subscriber subscriber)

    - #### removeService

          public VoDServiceActivator.ServiceActivationResult removeService(Subscriber subscriber)

    - #### createSubscriberImpl

          protected abstract VoDServiceActivator.ServiceActivationResult createSubscriberImpl(Subscriber subscriber)
                                                                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### createServiceImpl

          protected abstract VoDServiceActivator.ServiceActivationResult createServiceImpl(Subscriber subscriber)
                                                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### removeServiceImpl

          protected abstract VoDServiceActivator.ServiceActivationResult removeServiceImpl(Subscriber subscriber)
                                                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### newInstance

          public static VoDServiceActivator newInstance(ParameterMap moduleSetup)
                                                 throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### destroy

          public abstract void destroy()